OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_TranslateCurveBoundedSurface Class Reference

Translate curve_bounded_surface into TopoDS_Face
.

`#include <StepToTopoDS_TranslateCurveBoundedSurface.hxx>`

Inheritance diagram for StepToTopoDS_TranslateCurveBoundedSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_TranslateCurveBoundedSurface ()
| Create empty tool .
Standard_EXPORT | StepToTopoDS_TranslateCurveBoundedSurface (const Handle(StepGeom_CurveBoundedSurface)&CBS, const Handle(Transfer_TransientProcess)&TP)
| Translate surface .
Standard_EXPORT Standard_Boolean | Init (const Handle(StepGeom_CurveBoundedSurface)&CBS, const Handle(Transfer_TransientProcess)&TP)
| Translate surface .
Standard_EXPORT const TopoDS_Face & | Value () const
| Returns result of last translation or null wire if failed. .
## Private Attributes
TopoDS_Face | myFace

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_TranslateCurveBoundedSurface::StepToTopoDS_TranslateCurveBoundedSurface | ( |  | ) |

Standard_EXPORT StepToTopoDS_TranslateCurveBoundedSurface::StepToTopoDS_TranslateCurveBoundedSurface | ( | const Handle(StepGeom_CurveBoundedSurface)& | CBS,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean StepToTopoDS_TranslateCurveBoundedSurface::Init | ( | const Handle(StepGeom_CurveBoundedSurface)& | CBS,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

void StepToTopoDS_TranslateCurveBoundedSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateCurveBoundedSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateCurveBoundedSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Face& StepToTopoDS_TranslateCurveBoundedSurface::Value | ( |  | ) | const

## Field Documentation

TopoDS_Face StepToTopoDS_TranslateCurveBoundedSurface::myFace`[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_TranslateCurveBoundedSurface.hxx